import prisma from '../utilities/prisma' // Import the global Prisma instance
import { CharacterType } from '@prisma/client'

class CharacterTypeRepository {
  async getAll(): Promise<CharacterType[]> {
    return prisma.characterType.findMany()
  }
}

export default new CharacterTypeRepository()
