import { Server } from 'socket.io'
import ZoneManager from '../managers/zoneManager'

type CommandInput = string[]

export default class ListZonesCommand {
  constructor(private readonly io: Server) {}

  public execute(input: CommandInput): void {
    console.log(ZoneManager.getLoadedZones())
  }
}
